Bug 1049028 - [locking] dnf is not blocking
Summary: [locking] dnf is not blocking
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-06 19:59 UTC by Nicolas Mailhot
Modified: 2014-09-09 08:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-09 08:37:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Nicolas Mailhot 2014-01-06 19:59:25 UTC
Description of problem:
# rm -fr /var/lib/spamassassin/3.003002/ ; dnf -y reinstall spamassassin ; systemctl restart spamassassin.service amavisd.service postfix.service 
metadata-cache already locked by 2190
  The application with PID 2190 is: dnf
    Mémoire : 190 M RSS (720 MB VSZ)
    Débuté  : Mon Jan  6 20:11:43 2014 - il y a 23:54
    State  : Mise en attente


Expected result: services restarted after sa fix

Actual result services restarted at the wrong time

dnf-0.4.9-1.fc21.noarch

Comment 1 Ales Kozumplik 2014-01-07 07:05:39 UTC
Nicolas, can you reproduce this consistently? What is the command line of the process with PID 2190?

Thanks.

Comment 2 Nicolas Mailhot 2014-01-07 09:21:44 UTC
(In reply to Ales Kozumplik from comment #1)
> Nicolas, can you reproduce this consistently? 

Haven't tried

> What is the command line of
> the process with PID 2190?

It was a general dnf - y update that was slowly getting metadata and had not finished yet

Comment 3 Ales Kozumplik 2014-01-07 12:02:59 UTC
Allright, so you'd expect it to wait until the lock is released, is that right?

Comment 4 Nicolas Mailhot 2014-01-07 14:36:01 UTC
Exactly. Wait till what was requested is done

Comment 5 Ales Kozumplik 2014-01-07 17:28:58 UTC
I see now, thanks. I kind of like the current behavior more but let's see how this plays out.

Comment 6 Ales Kozumplik 2014-09-09 08:37:35 UTC
Closing this---the issue has not generated much interest among other users which tells us the current behavior is preferred. A simple shell wrapper could be build that restarts the DNF process after the previous one is finished.


Note You need to log in before you can comment on or make changes to this bug.